<?php

namespace App\Console\Commands;

use App\Upload;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Artisan;

class GenerateVideoThumbnails extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'thumbnail:regenerate';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Regenerate thumbnails for existing videos';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        Upload::where('content_type', 'LIKE', '%video%')
                ->where('thumb_location', '')
                ->orWhere('thumb_location', null)->get()->each(function($video) {
            Artisan::call("thumbnail:generate", [
                'video_id' => $video->id
            ]);
        });
    }
}
