<?php

namespace App\Http\Controllers;

use Log;
use App\Device;
use App\Upload;
use App\DeviceAd;
use App\Http\Requests;
use App\Jobs\ImportContent;
use Illuminate\Http\Request;
use App\Jobs\CreateThumbnail;
use Illuminate\Http\Response;
use App\Jobs\SendPushNotification;
use Illuminate\Support\Facades\Artisan;

class UploadController extends Controller
{
    public function __construct()
    {
        //DI container
        $this->middleware('auth');
    }


    public function doUpload(Request $request)
    {
        $user = $request->user();

        $data = $request->only('screens', 'start_date', 'end_date', 'url');

        $dir = public_path().'/uploads/'.date("Y/m/d").'/';
        $thumb_dir = public_path().'/uploads/thumbs/'.date("Y/m/d").'/';

        if (!is_dir($dir)) {
            mkdir($dir, 0777, true);
        }
        
        if (!is_dir($thumb_dir)) {
            mkdir($thumb_dir, 0777, true);
        }

        try {
            if ($data['url'] != null) {
                parse_str(parse_url($data['url'], PHP_URL_QUERY), $my_array_of_vars);
                $hash = md5(time());

                $data['url'] = 'https://www.youtube.com/watch?v='.$my_array_of_vars['v']; //make url simple

                shell_exec('/usr/bin/youtube-dl -f best '.$data['url'].' -o '.$dir.$hash.'.mp4');

                if (file_exists($dir.$hash.'.mp4')) {

                    //wap
                    $url = "http://www.youtube.com/oembed?url=". $data['url'] ."&format=json";


                    $curl = new \anlutro\cURL\cURL;

                    $response = $curl->get($url);

                    if (strtolower($response)=="not found") {
                        return response()->json(['success'=>false, 'error'=>"video not found"], 401);
                    } else {
                        $build = new \stdClass;
                        $build->vevo = false;
                        $build->duration_seconds = null;
                        $extract = json_decode($response);

                        if (preg_match("/vevo/is", $extract->author_name)) {
                            $build->vevo = true;
                        }

                        $build->thumb = $extract->thumbnail_url;
                        $build->title = $extract->title;

                        //get id
                        //get duration
                        $result = json_decode($curl->get('https://www.googleapis.com/youtube/v3/videos?part=contentDetails&id='.$my_array_of_vars['v'].'&key='.env("YOUTUBE_KEY")), true);
                        if (!empty($result['items'][0]['contentDetails'])) {
                            $vinfo = $result['items'][0]['contentDetails'];

                            $interval = new \DateInterval($vinfo['duration']);
                            $vinfo['duration_sec'] = $interval->h * 3600 + $interval->i * 60 + $interval->s;

                            $build->duration_seconds = $vinfo['duration_sec'];
                        }


                        $title = $extract->title;
                        $thumbnail = $build->thumb;
                        $duration =gmdate("H:i:s", $build->duration_seconds);
                        $path = '/uploads/'.date("Y/m/d").'/';
                        $thumb_path = '/uploads/thumbs/'.date("Y/m/d").'/';
                        $location = $path.$hash.".mp4";
                        $thumb_location = $thumb_path.$hash.".jpg";
                        $size = filesize($dir.$hash.'.mp4');
                    }


                    //time to get the thumb

                    $url = $thumbnail;
                    $response = $curl->get($url);

                    //put thumb
                    file_put_contents($thumb_dir.$hash.'.jpg', $response);

                    //create upload object

                    $upload = new Upload;
                    $upload->name = $title;
                    $upload->hash = $hash;
                    $upload->size = $size;
                    $upload->type = 2;
                    $upload->content_type = "video/mp4";
                    $upload->location = $location;
                    $upload->thumb_location = $thumb_location;
                    $upload->user_id = $user->id;
                    $upload->is_ready = 1;
                    $upload->save();

                    if (is_array($data['screens']) && !empty($data['screens']) && $data['screens']!=null) {
                        foreach ($data['screens'] as $scr) {
                        
                        /*$check = DeviceAd::where('upload_id', $upload->id)->where("device_id", $scr['device_id'])->first();
                        if($check==null)
                        {*/
                            $deviceAd = new DeviceAd;
                            $deviceAd->upload_id = $upload->id;
                            $deviceAd->device_id = $scr['device_id'];

                            if ($data['start_date']!=null) {
                                $deviceAd->start_time = $data['start_date'];
                            }

                            if ($data['end_date']!=null) {
                                $deviceAd->end_time = $data['end_date'];
                            }

                            if ($deviceAd->save()) {
                                $deviceAd->position = $deviceAd->id;
                                $deviceAd->save();

                                /* $obj = new \stdClass;
                                 $obj->notificationType = "MediaAdded";
                                 $obj->deviceToken = Device::find($scr['device_id'])->push_id;
                                 $obj->device_id = $scr['device_id_string'];
                                 $obj->upload = $upload;
                                  $this->dispatch(new SendPushNotification($obj));*/

                                $upload->screen_count = $upload->screen_count+1;
                            }
                        }

                        $upload->save();
                    }


                    return response()->json(['success'=>true, 'message'=>"file saved", 'file'=>$upload], 200);
                }
            } else {
                $file = $request->file('file');

                $mime = $file->getMimeType();


                if (preg_match("/video|image/is", $mime)) {
                    //hamdle image thumb etc ffmpeg
                    //hamdle image thumb etc
                    $hash = md5_file($file->getRealPath());

                    $size = $file->getSize();

                    $content_type = $mime;

                    $name = $file->getClientOriginalName();

                    $type = preg_match("/image/is", $mime) ? 1 : 2;

                    $extension = $file->getClientOriginalExtension();

                    $hash_name = $hash.'.'.$extension;

                    $location = '/uploads/'.date("Y/m/d").'/'.$hash_name;
                
                    //then move this file and create thumb
                    if ($file->move($dir, $hash_name)) {
                        $upload = new Upload;
                        $upload->name = $name;
                        $upload->hash = $hash;
                        $upload->size = $size;
                        $upload->type = $type;
                        $upload->content_type = $content_type;
                        $upload->location = $location;
                        $upload->user_id = $user->id;
                        $upload->is_ready = 1;

                        if ($data['start_date']!=null) {
                            $upload->start_time = $data['start_date'];
                        }

                        if ($data['end_date']!=null) {
                            $upload->end_time = $data['end_date'];
                        }
                        $upload->save();

                        $this->dispatch(new CreateThumbnail($upload));

                        // Check for video file and create thumbnail.
                        if (preg_match('/video/i', $content_type)) {
                            Artisan::call("thumbnail:generate", ['video_id' => $upload->id]);
                        }

                        if (is_array($data['screens']) && !empty($data['screens']) && $data['screens']!=null) {
                            foreach ($data['screens'] as $scr) {
                                $check = DeviceAd::where('upload_id', $upload->id)->where("device_id", $scr['device_id'])->first();
                                if ($check==null) {
                                    $deviceAd = new DeviceAd;
                                    $deviceAd->upload_id = $upload->id;
                                    $deviceAd->device_id = $scr['device_id'];

                                    if ($data['start_date']!=null) {
                                        $deviceAd->start_time = $data['start_date'];
                                    }

                                    if ($data['end_date']!=null) {
                                        $deviceAd->end_time = $data['end_date'];
                                    }

                                    if ($deviceAd->save()) {
                                        /* $obj = new \stdClass;
                                         $obj->notificationType = "MediaAdded";
                                         $obj->deviceToken = Device::find($scr['id'])->push_id;
                                         $obj->device_id = $scr['device_id_string'];
                                         $obj->upload = $upload;
                                          $this->dispatch(new SendPushNotification($obj));
                                          */
                                        $upload->screen_count = $upload->screen_count+1;
                                    }
                                }
                            }

                            $upload->save();
                        }


                        return response()->json(['success'=>true, 'message'=>"file saved", 'file'=>$upload], 200);
                    }

                    return response()->json(['success'=>false, 'error'=>"couldnt upload file"], 401);
                }
           
                return response()->json(['success'=>false, 'error'=>"incorrect file type", 'mime'=>$mime], 401);
            }
        } catch (\Exception $e) {
            Log::error("UPLOAD: ".$e->getMessage());
        }
    }


    public function import(Request $request)
    {

   /* $content = file_get_contents('content.txt');
    $json = json_decode($content);

        foreach($json AS $j)
        {
        $this->dispatch(new ImportContent($j, $request->user()));

        }
        return [];*/
    }



    public function videoinfo(Request $request)
    {
        $data = $request->only('url');

        $curl = new \anlutro\cURL\cURL;

        $url = "http://www.youtube.com/oembed?url=". $data['url'] ."&format=json";

        $response = $curl->get($url);

        if (strtolower($response)=="not found") {
            return response()->json(['success'=>false, 'error'=>"video not found"], 401);
        } else {
            $build = new \stdClass;
            $build->vevo = false;
            $build->duration_seconds = null;
            $extract = json_decode($response);

            if (preg_match("/vevo/is", $extract->author_name)) {
                $build->vevo = true;
            }

            $build->thumb = $extract->thumbnail_url;
            $build->title = $extract->title;

            //get id
            parse_str(parse_url($data['url'], PHP_URL_QUERY), $my_array_of_vars);

            //get duration
            $result = json_decode($curl->get('https://www.googleapis.com/youtube/v3/videos?part=contentDetails&id='.$my_array_of_vars['v'].'&key='.env('YOUTUBE_KEY')), true);

            if (!empty($result['items'][0]['contentDetails'])) {
                $vinfo = $result['items'][0]['contentDetails'];

                $interval = new \DateInterval($vinfo['duration']);
                $vinfo['duration_sec'] = $interval->h * 3600 + $interval->i * 60 + $interval->s;

                $build->duration_seconds = $vinfo['duration_sec'];
            }
            
            return response()->json($build, 200);
        }
    }


    public function youtube(Request $request)
    {
        $data = $request->only('url');

        //create upload object


        //create thumbnail


        //push notification

        //return upload object

        return null;
    }
}
