<?php

namespace App\Jobs;

use Illuminate\Bus\Queueable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Queue\InteractsWithQueue;
use Illuminate\Contracts\Queue\ShouldQueue;
use App\Upload;
use App\Jobs\CreateThumbnail;
use Curl;

class ImportContent implements ShouldQueue
{
    use InteractsWithQueue, Queueable, SerializesModels;

    /**
     * Create a new job instance.
     *
     * @return void
     */
    private $user;
    private $url;
    public function __construct($url, $user)
    {
        //
        $this->user = $user;
        $this->url = $url;
    }

    /**
     * Execute the job.
     *
     * @return void
     */
    public function handle()
    {
        $dir = public_path().'/uploads/'.date("Y/m/d").'/';
        $thumb_dir = public_path().'/uploads/thumbs/'.date("Y/m/d").'/';
        if(!is_dir($dir))
        {
            mkdir($dir, 0777, true);
        }
        
        if(!is_dir($thumb_dir))
        {
            mkdir($thumb_dir, 0777, true);
        }

        $info = pathinfo($this->url);
        if(strtolower($info['extension'])=='jpg')
        {
            $mime = "image/jpeg";

        }
        else
        {
            $mime = "video/mp4";
        }
       
        if(preg_match("/video|image/is", $mime))
        {
           
            //download video
            $hash = md5(time());
            $hash_name = $hash.'.'.$info['extension'];

            $file = $dir.$hash_name;

             $response = Curl::to($this->url)
            ->withContentType($mime)
            ->download($file);


            $size = filesize($file);;

            $content_type = $mime;

            $name = $info['basename'];

            $type = preg_match("/image/is", $mime) ? 1 : 2;

            $location = '/uploads/'.date("Y/m/d").'/'.$hash_name;

            //then move this file and create thumb
                if($response)
                {
                    $upload = new Upload;
                    $upload->name = $name;
                    $upload->hash = $hash;
                    $upload->size = $size;
                    $upload->type = $type;
                    $upload->content_type = $content_type;
                    $upload->location = $location;
                    $upload->user_id = $this->user->id;
                    $upload->save();
                    dispatch(new CreateThumbnail($upload));
                   
                }

        }


    }






}
