<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Mail\Mailable;
use Illuminate\Queue\SerializesModels;
use Illuminate\Contracts\Queue\ShouldQueue;

class DeviceActivated extends Mailable
{
    use Queueable, SerializesModels;

    public $userDevice;

    /**
     * Create a new message instance.
     *
     * @return void
     */
    public function __construct($userDevice)
    {
        $this->userDevice = $userDevice;
    }

    /**
     * Build the message.
     *
     * @return $this
     */
    public function build()
    {
        return $this->view('emails.device.activated')
                    ->with([ 'userDevice' => $this->userDevice ]);
    }
}
