
app.controller('libraryCtrl', ['$scope', '$http', 'paginationService', '$sce', function ($scope, $http, paginationService, $sce) {
    // upload later on form submit or something similar

    var getParameterByName = function(name, url) {
        if (!url) {
          url = window.location.href;
        }
        name = name.replace(/[\[\]]/g, "\\$&");
        var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
            results = regex.exec(url);
        if (!results) return null;
        if (!results[2]) return '';
        return decodeURIComponent(results[2].replace(/\+/g, " "));
    }

    $scope.config = {
        sources: [],
        tracks: [
            {
                src: "http://www.videogular.com/assets/subs/pale-blue-dot.vtt",
                kind: "subtitles",
                srclang: "en",
                label: "English",
                default: ""
            }
        ],
        theme: "/js/bower_components/videogular-themes-default/videogular.css"
    };

    $scope.library = [];
    $scope.page = getParameterByName('page', window.location) || 1;
    $scope.pager = {};
    $scope.isLoading = true;

    $scope.type = getParameterByName('type', window.location) || null;
    $scope.query = getParameterByName('search', window.location) || null;

    $scope.setPage = function(page) {

        var queryString = '?page='+page;

        $scope.isLoading = true;

        if($scope.type != null)
        {
            queryString += '&type='+$scope.type;
        }

        if($scope.query != null && $scope.query != '')
        {
            queryString += '&search='+$scope.query;
        }

        $http.get('https://'+window.location.host+'/list/library'+queryString).then(function(response){

            $scope.library = [];

            angular.forEach(response.data.data, function(value, key){

                $scope.library.push(value);

            });

            $scope.isLoading = true;

            $scope.pager = paginationService.getPager(response.data.total, response.data.current_page, response.data.per_page);
            history.replaceState({page: page}, "", "/library"+queryString);
        }, function(error){
            console.log(error);
            $scope.isLoading = false;
        });
    };

    $scope.setPage($scope.page);

    $scope.filter = function(type){

        $scope.type = type;
        $scope.setPage($scope.page);

    };

    $scope.query = '';

    $scope.search = function(){

        $scope.setPage($scope.page);

    };

    $scope.remove = function(index){

        var con = confirm("Are you sure?");

        if(con){

            $http.get('https://'+window.location.host+'/ajax/upload/delete/'+$scope.library[index].id).then(function(response){
                $scope.library.splice(index, 1);

                if($scope.library.length==0){
                    $scope.setPage($scope.page);
                }

            }, function(error){
                console.log(error);
            });

        }

    };

    $scope.upload = null;
    $scope.current_edit_index = null;

    $scope.edit = function(index){
        $scope.upload = angular.copy($scope.library[index]);
        $scope.current_edit_index = angular.copy(index);
        $scope.config.sources = [];

        console.log($scope.upload);

        if($scope.upload.type == 2)
        {
            $scope.config.sources.push({
                src:$sce.trustAsResourceUrl('https://'+window.location.host + $scope.upload.location),
                type:$scope.upload.content_type
            });

            console.log($scope.config.sources);
        }
    };

    $scope.editUpload = function(){
        $http.post('https://'+window.location.host+'/ajax/upload/update/'+$scope.upload.id, $scope.upload).then(function(response){
            if(response.status==200)
            {
                $scope.library[$scope.current_edit_index] = angular.copy($scope.upload);
                $("#editModal").modal('hide');
            }
        }, function(error){
            console.log(error);
        });
    };

    $scope.add = function(){

        var data = {};

        data.start_date = $scope.new_start_date;
        data.end_date = $scope.new_end_date;

        data.screens = [];

        angular.forEach($scope.screens, function(value, key){
            if(value.value)
                data.screens.push(value);
        });

        if(data.screens.length>0){
            $http.post('https://'+window.location.host+'/ajax/upload/add_screen/'+ $scope.current_id , data).then(function(response){
                if(response.status==200)
                {
                    $scope.library[$scope.current_index] = response.data.upload;
                   $("#addModal").modal('hide');
                }
            }, function(error){
                console.log(error);
            });
        }
    };

    $scope.current = function(index){
        $scope.current_id = $scope.library[index].id;
        $scope.current_index = angular.copy(index);

        angular.forEach($scope.screens, function(value, key){

            value.value = false;
            angular.forEach($scope.library[index].screens, function(v, k){

                if(value.device_id == v.device_id){
                    value.value = true;
                }
            });

        });
    };

}]);

app.directive('myEnter', function () {
    return function (scope, element, attrs) {
        element.bind("keydown keypress", function (event) {
            if(event.which === 13) {
                scope.$apply(function (){
                    scope.$eval(attrs.myEnter);
                });

                event.preventDefault();
            }
        });
    };
});
