

app.controller('screenCtrl', ['$scope', '$http', '$timeout', '$sce', '$filter', 'Upload', function ($scope, $http, $timeout, $sce, $filter, Upload) {
    // upload later on form submit or something similar

    $scope.selected = null;

    var pathArray = window.location.pathname.split( '/' );
    var id = pathArray[2];

    $scope.isLoading = true;

    $scope.messageSuccess = "";
    $scope.messageError = "";

    $scope.config = {
        sources: [],
        tracks: [
            {
                src: "http://www.videogular.com/assets/subs/pale-blue-dot.vtt",
                kind: "subtitles",
                srclang: "en",
                label: "English",
                default: ""
            }
        ],
        theme: "/js/bower_components/videogular-themes-default/videogular.css"
    };

    var page = 1;

    $scope.screen = null;

    $scope.mode = "landscape";

    $scope.init = function(obj){
        $scope.screen = obj;
        $scope.mode = $scope.screen.mode;
        $scope.messagePotrait = $scope.screen.portrait_message;
        $scope.picFilePotrait = $scope.screen.portrait_logo;
        console.log('screen', obj);
    };

    $http.get('https://'+window.location.host+'/list/screen/media/'+id).then(function(response){
        $scope.isLoading = false;
        $scope.media = response.data;
        console.log($scope.media);
    }, function(error){
        $scope.isLoading = false;
        console.log(error);
    });

    $scope.$watch('mode', function(newData, oldData){
        $http.post('https://'+window.location.host+'/ajax/screen/mode/update/'+id, {mode:newData}).then(function(response){

        }, function(error){
            console.log(error);
        });
    });

    $scope.loadMore = true;

    $scope.libraries = [];


    $scope.more = function(page){

        $scope.loadMore = false;

        console.log('page' + page);

        var queryString = '?page='+page;

        $scope.page = page;

        if($scope.type != null)
        {
            queryString += '&type='+$scope.type;
        }

        if($scope.query != null && $scope.query != '')
        {
            queryString += '&search='+$scope.query;
        }

        $http.get('https://'+window.location.host+'/list/library'+queryString).then(function(response){

            if(page == 1){
                $scope.libraries = [];
            }

            angular.forEach(response.data.data, function(value, key){
                value.checked = false;

                angular.forEach($scope.media, function(v, k){

                    if(value.id == v.id){
                        value.checked = true;
                    }

                });

                $scope.libraries.push(value);
            });

            console.log($scope.libraries);

            $scope.loadMore = false;

        }, function(error){

            console.log(error);

            $scope.loadMore = false;

        });

    };

    $scope.more(1);

    $scope.filter = function(type){

        $scope.type = type;
        $scope.more(1);

    };

    $scope.query = '';

    $scope.search = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $scope.more(1);

    };

    $scope.edit = function(index, type){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        if($scope.mode == 'portrait'){
            $scope.items = $filter('filter')($scope.media, {type:type});
            $scope.upload = angular.copy($scope.items[index]);
        }else{
            $scope.upload = angular.copy($scope.media[index]);
        }

        $scope.upload.global = false;
        $scope.current_edit_index = angular.copy(index);
        $scope.config.sources = [];

        console.log($scope.upload);

        if($scope.upload.type == 2)
        {
            $scope.config.sources.push({
                src:$sce.trustAsResourceUrl('https://'+window.location.host + $scope.upload.location),
                type:$scope.upload.content_type
            });
        }
    };

    $scope.editUpload = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $scope.upload.upload_id = angular.copy($scope.upload.id);
        $http.post('https://'+window.location.host+'/ajax/save_time', $scope.upload).then(function(response){

            $("#editModalClose").click();

        }, function(error){
            console.log(error);
        });
    };

    $scope.add = function(index){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        var data = {
            screens: [$scope.screen]
        }

        $http.post('https://'+window.location.host+'/ajax/upload/add_screen/'+$scope.libraries[index].id, data).then(function(response){
            console.log(response);
            $scope.media.push(response.data.upload);
            $scope.libraries[index].checked = true;
        }, function(error){
            console.log(error);
        });
    };

    $scope.update = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        var data = {
            name : $scope.screen.name,
            code : $scope.screen.device_id_string
        };

        $http.post('https://'+window.location.host+'/ajax/screen/update/'+$scope.screen.device_id, data).then(function(response){
            //$("#editScreenModal").modal('hide');
            $('#editScreenCloseModal').click();
        }, function(error){
            console.log(error);
        });
    };

    $scope.isSortable = false;
    var mediaCopy = null;

    $scope.arrange = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $scope.isSortable = !$scope.isSortable;

        if($scope.isSortable){

            mediaCopy = angular.copy($scope.media);

            $(".sortable").sortable('enable');
            console.log("enable");

        } else {

            $scope.media = angular.copy(mediaCopy);
            mediaCopy = null;

            $(".sortable").sortable('disable');
            console.log("disable");

        }
    };

    $scope.save = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        var data = [];

        $('ul.sortable li').each(function(){
            data.push(parseInt($(this).find("img").attr("data-id")));
        });

        console.log(data);

        $http.post('https://'+window.location.host+'/ajax/screen/position/update/'+id, {data:data}).then(function(response){
            $scope.isSortable = !$scope.isSortable;
            $(".sortable").sortable('disable');
            mediaCopy = null;
        }, function(error){
            console.log(error);
        });


    };

    $scope.shuffle = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $scope.isSortable = true;

        var arr = angular.copy($scope.media);

        if(mediaCopy == null){

            mediaCopy =  angular.copy($scope.media);

        }

        var lower_bound = 0;
        var shuffle_arr = [];

        while (arr.length > 0) {

            upper_bound = arr.length-1;

            if(upper_bound == 0){

                shuffle_arr.push( arr[0] );

                arr.splice(0, 1);

            } else {

                var random_number = Math.round(Math.random()*(upper_bound - lower_bound) + lower_bound);

                if (shuffle_arr.indexOf(random_number) == -1) {

                    shuffle_arr.push( arr[random_number] );

                    arr.splice(random_number, 1);

                }

            }
        }

        $scope.media = angular.copy(shuffle_arr);

    };

    $scope.delete = function(index) {

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $http.post('https://'+window.location.host+'/ajax/screen/delete_ad/'+id, {ad_id:$scope.media[index].ad_id}).then(function(response){
            $scope.media.splice(index, 1);

            for(var x = 0; x < $scope.libraries.length; x++)
            {
                $scope.libraries[x].checked = false;

                angular.forEach($scope.media, function(v, k){

                    if($scope.libraries[x].id == v.id){
                        $scope.libraries[x].checked = true;
                    }

                });
            }

        }, function(error){
            console.log(error);
        });
    };

    $scope.deleteAll = function() {

        $scope.messageSuccess = "";
        $scope.messageError = "";

        var con = confirm("Are you sure?");

        if(con){

            $http.post('https://'+window.location.host+'/ajax/screen/delete_ad/'+id, {all:true}).then(function(response){

                $scope.media = [];

                for(var x = 0; x < $scope.libraries.length; x++)
                {
                    $scope.libraries[x].checked = false;
                }

                $('#deleteModalClose').click();

            }, function(error){
                console.log(error);
            });
        }
    };

    $scope.duplicate = function(){

        $scope.messageSuccess = "";
        $scope.messageError = "";

        var data = {
            screens: [$scope.screen]
        };

        $('.duplicateCheckbox').each(function(){

            console.log($(this).prop("checked"));

            if($(this).prop("checked")){

                var index = parseInt($(this).attr("data-index"));

                $http.post('https://'+window.location.host+'/ajax/upload/add_screen/'+$scope.media[index].id, data).then(function(response){
                    $scope.media.push(response.data.upload);
                    console.log(response);
                }, function(error){
                    console.log(error);
                });

                $(this).prop("checked", false);
            }
        });

    };

    $scope.picFilePotrait = null;

    $scope.uploadFilePortrait = function(file) {

        console.log(file);

        $scope.messageSuccess = "";
        $scope.messageError = "";

        if(file!=null){

            $scope.progress.start = true;

            var screens = [];

            angular.forEach($scope.screens, function(value, key){
                if(value.value)
                    screens.push(value);
            });

            file.upload = Upload.upload({
              url: 'https://'+window.location.host+'/ajax/screen/portrait/upload/'+id,
              data: {file: file},
            });

            file.upload.then(function (response) {

            }, function (response) {
                if (response.status > 0)
                    $scope.errorMsg = response.status + ': ' + response.data;

                //$scope.progress.start = false;
            }, function (evt) {
              // Math.min is to fix IE which reports 200% sometimes
            });
        }

    };

    $scope.saveMessage = function(message) {

        console.log(message);

        $scope.messageSuccess = "";
        $scope.messageError = "";

        $http.post('https://'+window.location.host+'/ajax/screen/portrait/update_message/'+id, {message:message}).then(function(response){
            $scope.messageSuccess = "Message saved successfully";
        }, function(error){
            console.log(error);
            $scope.messageError = "Something when wrong! Please try again.";
        });
    };

    $scope.copy = function(){

        var data = {
            data: []
        };

        $('.copyCheckbox').each(function(){
            if($(this).prop("checked")){

                data.data.push(parseInt($(this).attr("data-id")));
                $(this).prop("checked", false);
            }
        });

        if(data.data.length > 0){
            $http.post('https://'+window.location.host+'/ajax/screen/copy/'+id, data).then(function(response){
                $('#copyModalClose').click();
                console.log(response);
            }, function(error){
                console.log(error);
            });
        }
    };

}]);
