

app.controller('screensCtrl', ['$scope', '$http', 'paginationService', function ($scope, $http, paginationService) {
    // upload later on form submit or something similar

    var getParameterByName = function(name, url) {
        if (!url) {
          url = window.location.href;
        }
        name = name.replace(/[\[\]]/g, "\\$&");
        var regex = new RegExp("[?&]" + name + "(=([^&#]*)|&|#|$)"),
            results = regex.exec(url);
        if (!results) return null;
        if (!results[2]) return '';
        return decodeURIComponent(results[2].replace(/\+/g, " "));
    }

    $scope.screens = [];
    $scope.page = getParameterByName('page', window.location) || 1;
    $scope.pager = {};

    $scope.setPage = function(page) {
        $http.get('https://'+window.location.host+'/list/screens?page='+page).then(function(response){
            $scope.screens = response.data.data;
            $scope.pager = paginationService.getPager(response.data.total, response.data.current_page, response.data.per_page);
            history.replaceState({page: page}, "", "/screens?page="+page);
        }, function(error){
            console.log(error);
        });
    };

    $scope.setPage($scope.page);

    $scope.screen = {};

    $scope.edit = function(index){
        $scope.screen = $scope.screens[index];
        console.log($scope.screen);
    };

    $scope.editScreen = function(){

        $http.post('https://'+window.location.host+'/ajax/screen/update/'+$scope.screen.id, $scope.screen).then(function(response){

            console.log(response.status);
            if(response.status==400)
            {
                $scope.message = response.data.error;
            }

            if(response.status==200)
            {
                window.location = 'https://'+window.location.host+'/screen/'+$scope.screen.device_id;
            }

        }, function(error){
            if(error.status==400)
            {
                $scope.message = error.data.error;
            }

        });

    };

    $scope.deleteScreen = function(id)
    {
        Swal.fire({
          title: 'Are you sure?',
          text: "You won't be able to revert this!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, delete it!'
        }).then((result) => {
          if (result.value) {
            $http.delete('/ajax/screen/' + id)
             .then(
                function(response){
                    Swal.fire(
                      'Deleted!',
                      'Your device has been deleted.',
                      'success'
                    )

                    location.reload();
                },
                function(response){
                    Swal.fire(
                      'Not Deleted!',
                      'Your device could not deleted.',
                      'warning'
                    )
                }
            );
          }
        })
    }

    $scope.activateScreen = function(id)
    {
        Swal.fire({
          title: 'Are you sure?',
          text: "You are about to activate the screen!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, activate it!'
        }).then((result) => {
          if (result.value) {
            $http.put('/ajax/screen/' + id + '/activate', { screen_id: id })
            .then(
                function(response){
                    Swal.fire(
                      'Activated!',
                      'Your screen has been activated.',
                      'success'
                    )
                },
                function(response){
                    Swal.fire(
                      'Not Activated!',
                      'Your device could not be activated.',
                      'warning'
                    )
                }
            ).then(function() {
                location.reload();
            });
          }
        })
    }

    $scope.deactivateScreen = function(id, state)
    {
        Swal.fire({
          title: 'Are you sure?',
          text: "You are about to deactivate the screen!",
          type: 'warning',
          showCancelButton: true,
          confirmButtonColor: '#3085d6',
          cancelButtonColor: '#d33',
          confirmButtonText: 'Yes, deactivate it!'
        }).then((result) => {
          if (result.value) {
            $http.put('/ajax/screen/' + id + '/deactivate', { screen_id: id })
             .then(
                function(response){
                    Swal.fire(
                      'Deactivated!',
                      'Your screen has been deactivated.',
                      'success'
                    )

                    // location.reload();
                },
                function(response){
                    Swal.fire(
                      'Not Deactivated!',
                      'Your device could not be deactivated.',
                      'warning'
                    )
                }
            ).then(function() {
                location.reload();
            });
          }
        })
    }

}]);

app.filter('status', function() {
    return function(state) {
        if (state == true) {
            return 'Active';
        } else {
            return 'In Active';
        }
    };
});
