@extends('layouts.app')

@section('content')

<div ng-controller="priorityCtrl">

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-8 col-md-8">


                    @include('layouts.menu')

                </div>

                <div class="col-sm-4 col-md-4">
                <form>
                    <div class="subSearch">
                        <input type="text" class="form-control" placeholder="Search Library" ng-model="query" my-enter="search()"/>
                        <a class="searchIcon" ng-click="search()" type="submit">
                            <span><i class="fa fa-search"></i></span>
                        </a>
                    </div>
                </form>
                </div>


            </div>

        </div>
    </div>






    <div class="contentOutput">

		<div class="row">

			<div class="col-sm-4 col-md-4">

				<br/>

				<div class="screenBtn">
					<button class="btn btn-primary pull-right" data-toggle="modal" data-target="#addModal">
						Add Advertisement
					</button>
				</div>

			</div>


			<div class="col-sm-4 col-md-4">

				<div class="form-group">
					<label for="screenCode">Time Interval</label>
					<select class="form-control" ng-model="settings_image_duration.value">
						<option value="">Disabled</option>
						<option value="10">5 minutes</option>
						<option value="20">10 minutes</option>
						<option value="30">15 minutes</option>
					</select>
				</div>

			</div>

			<div class="col-sm-2 col-md-2">

				<br/>

				<div class="screenBtn">
					<button class="btn btn-primary pull-right">
						Save
					</button>
				</div>
			</div>
      
   		</div>

   		<div class="container">
        <div class="row">
            <div class="col-sm-12">


                <div class="screenTableDisplay">
                    <table class="table" id="mydata">
                        <thead>
                            <tr>
                                <th style="width:10%;">
                                    ID# 
                                </th>
                                <th style="width:30%;">
                                    Image
                                </th>
                                <th style="width:30%;">
                                    Name
                                </th>
                                <th style="width:15%;">
                                    Actions
                                </th>
                            </tr>
                        </thead>

                        <tbody>
                            <tr>

                                <th scope="row">
                                    1
                                </th>

                                <td>
                                   <span></span>
                                </td>

                                <td>
                                   <span></span>
                                </td>

                                <td>
                                    <a class="btn btn-default">
                                       Up
                                    </a>
                                    <a class="btn btn-default">
                                       Down
                                    </a>
                                    <a class="btn btn-default btn-danger">
                                       Delete
                                    </a>
                                </td>

                            </tr>


                        </tbody>
                    </table>
                </div>
            </div>
        </div>
       	</div>

	</div>


	<div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
	      <div class="modal-dialog" role="document">
	        <div class="modal-content">
	          <div class="modal-header">
	            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
	            <h4 class="modal-title" id="myModalLabel">
	            Add New Resources
	            </h4>
	          </div>
	          <div class="modal-body">

	            <div class="row">
	                
	                <div class="col-sm-7 col-md-7 col-lg-7 col-xs-7">

	                    <div class="input-group">
	                      <input type="text" 
	                             class="form-control" 
	                             placeholder="Search resources here..."
	                             ng-model="query" my-enter="search()"/>

	                      <span class="input-group-btn">
	                            <a 
	                            class="btn btn-default" 
	                            type="button"
	                            ng-click="search()" 
	                            type="submit">
	                            Search
	                            </a>
	                      </span>
	                    </div>

	                </div>

	                <div class="col-sm-5 col-md-5 col-lg-5 col-xs-5">
	                    <div 
	                    class="libFilter"
	                    style="position: absolute; top: -18px; right: 15px; ">
	                        <ul>
	                            <li><a ng-click="filter('image')">images</a></li>
	                            <li><a ng-click="filter('video')">videos</a></li>
	                            <li><a ng-click="filter(null)">all</a></li>

	                        </ul>
	                    </div>
	                </div>

	            </div>

	<br>

	            <div class="well" style="max-height: 300px;overflow: auto;">

	                <ul class="list-group checked-list-box">

	                  <li ng-repeat="(key, value) in libraries" class="list-group-item" data-checked="<%value.checked%>">

	                    <div class="col-sm-2">
	                        <img ng-src="<%value.thumb_location%>" alt="<%value.name%>" class="ad_img_modal" />    
	                    </div>
	                    
	                    <div class="col-sm-10">

	                        <span class="pull-left" style="word-wrap: break-word;width: 90%"><%value.name%></span>
	                        <span class="pull-right">
	                            <a ng-click="add(key)" ng-hide="value.checked"><i class="fa fa-plus-square"></i></a>
	                            <i class="fa fa-check" ng-hide="!value.checked"></i>
	                        </span>

	                    </div>
	                    <div class="clearfix"></div>

	                  </li>

	                </ul>
	                <br>

	                <a class="pull-right btn btn-default" ng-click="more(page+1)" ng-disabled="!loadMore"><i class="fa fa-plus-square-o"></i> Load More</a>
	                <div class="clearfix"></div>

	            </div>

	          </div>
	             

	        <div class="row">
	            <div class="col-md-12">
	              <div class="modal-footer" style="margin-top: 30px;">
	                <button 
	                type="button" 
	                class="btn btn-default" 
	                data-dismiss="modal">
	                Done
	                </button>
	              </div>
	            </div>
	        </div>
	        </div>
	      </div>
	    </div>


</div>

@endsection