@extends('layouts.app')

@section('content')

<style>
    
    div[dnd-list] {
        min-height: 42px;
        /*padding-left: 0px;*/
    }

    /**
     * The dndDraggingSource class will be applied to
     * the source element of a drag operation. It makes
     * sense to hide it to give the user the feeling
     * that he's actually moving it.
     */
    div[dnd-list] .dndDraggingSource {
        display: none;
    }

    /**
     * An element with .dndPlaceholder class will be
     * added to the dnd-list while the user is dragging
     * over it.
     */
    div[dnd-list] .dndPlaceholder { 
        display: block;
    }

    div[dnd-list] .contentDisplay {
        display: block;
    }

    /**
     * Show selected elements in green
     */
    div[dnd-list] .contentDisplay.selected {
        background-color: #dff0d8;
        color: #3c763d;
    }

    .state-icon {
        left: -5px;
    }
    .list-group-item-primary {
        color: rgb(255, 255, 255);
        background-color: rgb(66, 139, 202);
    }

    /* DEMO ONLY - REMOVES UNWANTED MARGIN */
    .well .list-group {
        margin-bottom: 0px;
    }

</style>

<div ng-controller="screenCtrl">

    <div class="subHeader">
        <div class="container" ng-init="init({{$screen}})">


            <div class="row">
                <div class="col-sm-8">

                    @include('layouts.menu')

                </div>


            </div>

        </div>
    </div>

    <div class="contentOutput">
        


        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <ol class="breadcrumb">
                        <li><a href="{{url("home")}}">Screens</a>
                        </li>
                        <li class="active">View Content</li>
                    </ol>
                </div>
            </div>

                <style>
                    .copyBtn .btn-default{
                        font-size: 12px;
                        margin-top: -6px;
                    }

                    .screenMode {
                        margin-top: 22px;
                    }
                
                    .screenMode  .form-control{
                        font-size: 12px;
                        
                    }

                    .sortArea {
                        border: 1px solid rgba(205,205,205,0.6);
                        padding: 15px !important;
                        border-radius: 3px;
                        background-color: white;
                        margin-top: 20px;
                    }

                    .sortArea h3 {
                        margin-top: 0px;
                        font-weight: 800;
                    }

                    .textStyle {
                        padding: 10px !important;
                    }

                    .textStyle .btn-success {
                        float: right;
                        width: 100px;

                    }

                    .textStyle p {
                        font-size: 12px;
                    }

                    .textStyle label {
                        font-size: 16px;
                        font-weight: 800;
                    }

                    .textStyle input[type=file]{
                        padding: 3px;
                        background: white;
                        border-radius: 3px;

                    }

                </style>
                
                <div class="row">

                    <div class="col-sm-8 col-md-8 col-xs-8 col-lg-8">
                        <h2 ng-cloak>
                            <%screen.name%>
                            <!-- 
                            <small class="copyBtn">
                            </small> 
                            -->
                            
                        </h2>

                        <div class="screenActions">
                        <a class="btn btn-primary" data-toggle="modal" data-target="#copyScreenModal">Copy to</a>
                        <a class="btn btn-primary" data-toggle="modal" data-target="#addModal">Add from Library</a>
                        <a class="btn btn-primary" data-toggle="modal" data-target="#editScreenModal">Edit Screen Name</a>
                        <a class="btn btn-primary" data-toggle="modal" data-target="#duplicateModal">Duplicate</a>
                        <a class="btn btn-primary" data-toggle="modal" data-target="#deleteModal">Delete</a>
                        <a class="btn btn-primary" ng-click="arrange()">Arrange</a>
                        <a class="btn btn-primary" ng-click="shuffle()">Shuffle</a>
                    
                        </div> 


                    </div>


                    <div class="col-md-4 col-xs-4 col-lg-4 col-sm-4">

                    <div class="screenMode">

                    @if($screen->kiosk_mode)
                    <input type="checkbox" id="kiosk_mode" checked="checked" data-id="{{$screen->device_id}}"/> <span class="kiosk_message">Kiosk mode (uncheck to disable)</span>
                    @else
                    <input type="checkbox" id="kiosk_mode" data-id="{{$screen->device_id}}"/> <span class="kiosk_message">Kiosk mode (check to enanble)</span>
                    @endif

                        <div class="form-group">
                            <label>Screen Mode:</label>
                            <select class="form-control" ng-model="mode" ng-cloak>
                                <option value="portrait">Portrait</option>
                                <option value="landscape">Landscape</option>
                            </select>
                        </div>

                        <div class="modeConfirm">
                        <a class="btn btn-danger pull-right" ng-cloak ng-show="isSortable" ng-click="arrange()">Cancel</a>
                        <a class="btn btn-primary pull-right" ng-cloak ng-show="isSortable" style="margin-right: 3px" ng-click="save()">Save Changes</a>
                        <span class="clearfix"></span>
                        </div>
                        
                    </div> 

                    </div>
                    
                </div>





    </div>


    <div class="container">
        <div class="row">
            <div class="col-sm-12">

                <div class="alert alert-success alert-dismissable" style="margin-top: 5px" ng-cloak ng-if="messageSuccess">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <%messageSuccess%>
                </div>

                <div class="alert alert-warning alert-dismissable" style="margin-top: 5px" ng-cloak ng-if="messageError">
                    <a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>
                    <%messageError%>
                </div>

                <div class="sortArea">
                    <ul id="ad_list" style="height: 100%" class="sortable" ng-if="mode=='landscape'" ng-cloak>
                        <li class="ad itemContainer"
                            class="contentDisplay" 
                            ng-cloak
                            data-toggle="modal" data-target="#editModalAd"
                            ng-repeat="(key, value) in media"
                            ng-class="{'selected': selected === value}" >
                             <img ng-src="<%value.thumb_location%>" ng-click="edit(key)" alt="<%value.name%>" class="ad_img" data-id="<%value.ad_id%>" />
                        </li> 
                    </ul>
                    <div ng-if="mode=='portrait'" ng-cloak> 
                        <h3>Video</h3>
                        <ul id="ad_list" class="sortable" ng-if="mode=='portrait'" ng-cloak>
                            <li class="ad itemContainer"
                                class="contentDisplay" 
                                ng-cloak
                                data-toggle="modal" data-target="#editModalAd"
                                ng-repeat="(key, value) in media | filter:{ type: 2 }"
                                ng-class="{'selected': selected === value}" >
                                 <img ng-src="<%value.thumb_location%>" ng-click="edit(key, 2)" alt="<%value.name%>" class="ad_img" data-id="<%value.ad_id%>" />
                            </li> 
                        </ul>
                        <hr>
                        <h3>Image</h3>
                        <ul id="ad_list" class="sortable" ng-if="mode=='portrait'" ng-cloak>
                            <li class="ad itemContainer"
                                class="contentDisplay" 
                                ng-cloak
                                data-toggle="modal" data-target="#editModalAd"
                                ng-repeat="(key, value) in media | filter:{ type: 1 }"
                                ng-class="{'selected': selected === value}" >
                                 <img ng-src="<%value.thumb_location%>" ng-click="edit(key, 1)" alt="<%value.name%>" class="ad_img" data-id="<%value.ad_id%>" />
                            </li> 
                        </ul>
                        <hr>
                        <h3>Text</h3>
                        <div class="containerTwo" ng-if="mode=='portrait'" ng-cloak>

                            
                            <div class="row">


                            <div class="textStyle">
                                
                            
                            <div class="col-md-6 col-sm-6 col-xs-6">
                                    
                                <div class="form-group">

                                    <label>Upload Logo</label>

                                    <p>
                                    (JPEG/PNG recommended. Size: 2944px X 1080px)
                                    <i class="fa fa-spin fa-spinner fa-2x hidden fa-spin-2148" style="margin-left: 10px"></i>
                                    </p>

                                    <input type="file" ngf-select ng-model="picFilePotrait" name="file" accept="image/*" ngf-max-size="50MB" required ngf-model-invalid="errorFile" class="add-logo-file">

                                    <img ng-show="myForm.file.$valid" ngf-thumbnail="picFilePotrait" class="thumb" style="width: 100px">

                                </div>

                                </div>

                                <div class="col-md-6 col-sm-6 col-xs-6">
                                    
                                    <div class="form-group">

                                        <label>Or Set Message</label>
                                        <textarea id="bottom-message-2148" class="form-control" rows="2" ng-model="messagePotrait"></textarea>
                                        <a href="#" style="margin-top:4px" class="btn btn-success btn-sm SaveBottomMsg" ng-click="uploadFilePortrait(picFilePotrait);saveMessage(messagePotrait);">Save Message</a>
                                    </div>

                                </div>





                            </div>







                            </div>






                        </div>
                    </div>
     
                </div> 


            </div>



        </div>

        </div>







    </div>


    <div class="modalContent">
        
    <!-- Modal -->
    <div class="modal fade" id="editScreenModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"  data-keyboard="false" data-backdrop="static">
      <div class="modal-dialog" role="document" >
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" id="editScreenCloseModal" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Edit screen/device</h4>
          </div>
          <div class="modal-body">
              <div class="alert alert-danger" role="alert" ng-if="message" ng-bind="message">
                
              </div>
        <form>
          <div class="form-group">
            <label for="screenCode">Device Code</label>
            <input type="text" class="form-control" aria-describedby="codeHelp" placeholder="Enter screen code" ng-model="screen.device_id_string" disabled="true">
            <small id="codeHelp" class="form-text text-muted">Please enter the code you see ont the screen when you power on the device</small>
            </div>

            <div class="form-group">
            <label for="screenName">Screen name</label>
            <input type="text" class="form-control"   placeholder="Enter screen name" ng-model="screen.name">
          </div>
          
        </form>

            <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Cancel
                </button>
                    
                <button 
                type="button" 
                class="btn btn-primary" 
                ng-click="update()">
                Save Changes
                </button>
              </div>
            </div>
        </div>
          </div>


        </div>
      </div>
    </div>


        <!-- Add Modal -->
    <div class="modal fade" id="addModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Add New Resources
            </h4>
          </div>
          <div class="modal-body">

            <div class="row">
                
                <div class="col-sm-7 col-md-7 col-lg-7 col-xs-7">

                    <div class="input-group">
                      <input type="text" 
                             class="form-control" 
                             placeholder="Search resources here..."
                             ng-model="query" my-enter="search()"/>

                      <span class="input-group-btn">
                            <a 
                            class="btn btn-default" 
                            type="button"
                            ng-click="search()" 
                            type="submit">
                            Search
                            </a>
                      </span>
                    </div>

                </div>

                <div class="col-sm-5 col-md-5 col-lg-5 col-xs-5">
                    <div 
                    class="libFilter"
                    style="position: absolute; top: -18px; right: 15px; ">
                        <ul>
                            <li><a ng-click="filter('image')">images</a></li>
                            <li><a ng-click="filter('video')">videos</a></li>
                            <li><a ng-click="filter(null)">all</a></li>

                        </ul>
                    </div>
                </div>

            </div>

<br>

            <div class="well" style="max-height: 300px;overflow: auto;">

                <ul class="list-group checked-list-box">

                  <li ng-repeat="(key, value) in libraries" class="list-group-item" data-checked="<%value.checked%>">

                    <div class="col-sm-2">
                        <img ng-src="<%value.thumb_location%>" alt="<%value.name%>" class="ad_img_modal" />    
                    </div>
                    
                    <div class="col-sm-10">

                        <span class="pull-left" style="word-wrap: break-word;width: 90%"><%value.name%></span>
                        <span class="pull-right">
                            <a ng-click="add(key)" ng-hide="value.checked"><i class="fa fa-plus-square"></i></a>
                            <i class="fa fa-check" ng-hide="!value.checked"></i>
                        </span>

                    </div>
                    <div class="clearfix"></div>

                  </li>

                </ul>
                <br>

                <a class="pull-right btn btn-default" ng-click="more(page+1)" ng-disabled="!loadMore"><i class="fa fa-plus-square-o"></i> Load More</a>
                <div class="clearfix"></div>

            </div>

          </div>
             

        <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Done
                </button>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>

    <div class="modal fade" id="deleteModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" id="deleteModalClose" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Delete Ad
            </h4>
          </div>
          <div class="modal-body">

            <div class="row">
                <div class="col-md-12">
                    <a class="btn btn-default pull-right" ng-click="deleteAll()">Delete All</a>
                </div>
            </div>

            <br>

            <div class="well" style="max-height: 300px;overflow: auto;">

                <ul class="list-group checked-list-box">

                  <li ng-repeat="(key, value) in media" class="list-group-item" data-checked="<%value.checked%>">

                    <div class="col-sm-2">
                        <img ng-src="<%value.thumb_location%>" alt="<%value.name%>" class="ad_img_modal" />    
                    </div>
                    
                    <div class="col-sm-10">

                        <span class="pull-left" style="word-wrap: break-word;width: 90%"><%value.name%></span>
                        <span class="pull-right">
                            <a class="btn btn-danger btn-xs" ng-click="delete(key)" ng-hide="value.checked"><i class="fa fa-trash"></i></a>
                        </span>

                    </div>

                    <div class="clearfix"></div>

                  </li>

                </ul>

            </div>

          </div>
             

        <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Done
                </button>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>


    <div class="modal fade" id="duplicateModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Duplicate Resources
            </h4>
          </div>
          <div class="modal-body">

            <div class="well" style="max-height: 300px;overflow: auto;">

                <ul class="list-group checked-list-box">

                  <li ng-repeat="(key, value) in media" class="list-group-item" data-checked="<%value.checked%>">
                    <div class="col-sm-12">
                        <div class="col-sm-2">
                            <img ng-src="<%value.thumb_location%>" alt="<%value.name%>" class="ad_img_modal" />    
                        </div>
                        
                        <div class="col-sm-10">
                            <span class="pull-left" style="word-wrap: break-word;width: 90%"><%value.name%></span>
                            <span class="pull-right">
                                <input type="checkbox" class="duplicateCheckbox" data-index="<%key%>">
                            </span>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                  </li>

                </ul>

            </div>

          </div>
             

        <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Close
                </button>

                <button 
                type="button" 
                class="btn btn-primary" 
                ng-click="duplicate()">
                Duplicate
                </button>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>

        <!-- Edit Modal -->
    <div class="modal fade" id="editModalAd" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" id="editModalClose" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Edit Information
            </h4>
          </div>
          <div class="modal-body">

            <form>
                <div class="form-group">
                    <label>Name</label>
                    <input type="text" class="form-control" ng-model="upload.name"/>
                </div>  
                
                        <!-- <div class="container"> -->
                            <div class="row durationPeriod">
                                <div class="col-xs-6">
                                    <label id="step3_5label" for="im_start_date" style="margin-top: 10px;">Start date (optional):</label>
                                    <input datetime-picker ng-model="upload.start_time" readonly="true" class="form-control"/>
                                </div>

                                <div class="col-xs-6">
                                    <label id="step4label" for="im_end_date" style="margin-top: 10px;">End date (optional):</label>
                                    <input datetime-picker ng-model="upload.end_time" readonly="true" class="form-control" />
                                </div>
                            <!-- </div> -->
                        </div>
                        <!--end time container-->

                        <br/>

                        <input type="checkbox" ng-model="upload.global"> Global

                        <br/><br/>

                <div class="imgContain" ng-if="upload.type==1">
                    <img class="img-hover" ng-src="<%upload.location%>" alt="..."/>
                </div>      

                <videogular vg-theme="config.theme" ng-if="upload.type==2">
                    <vg-media vg-src="config.sources"
                            vg-tracks="config.tracks">
                    </vg-media>
                    <vg-controls>
                        <vg-play-pause-button></vg-play-pause-button>
                        <vg-time-display><% currentTime | date:'mm:ss' %></vg-time-display>
                        <vg-scrub-bar>
                            <vg-scrub-bar-current-time></vg-scrub-bar-current-time>
                        </vg-scrub-bar>
                        <vg-time-display><% timeLeft | date:'mm:ss' %></vg-time-display>
                        <vg-volume>
                            <vg-mute-button></vg-mute-button>
                            <vg-volume-bar></vg-volume-bar>
                        </vg-volume>
                        <vg-fullscreen-button></vg-fullscreen-button>
                    </vg-controls>
         
                    <vg-overlay-play></vg-overlay-play>
                </videogular>   
            </form>

          </div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Cancel</button>
            <button type="button" class="btn btn-primary" ng-click="editUpload()">Save Changes</button>
          </div>
        </div>
      </div>
    </div>
<!--end edit modal -->

<div class="modal fade" id="copyScreenModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close" id="copyModalClose"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">
            Copy to screen(s)
            </h4>
          </div>
          <div class="modal-body">

            <div class="well" style="max-height: 300px;overflow: auto;">

                <ul class="list-group checked-list-box">

                  <li ng-repeat="(key, value) in screens" class="list-group-item" ng-if="screen.id!=value.id">


                    <span class="pull-left" style="word-wrap: break-word;width: 90%"><%value.name%></span>
                    <span class="pull-right">
                        <input type="checkbox" class="copyCheckbox" data-id="<%value.id%>">
                    </span>
                    <div class="clearfix"></div>

                  </li>

                </ul>

            </div>

          </div>
             

        <div class="row">
            <div class="col-md-12">
              <div class="modal-footer" style="margin-top: 30px;">
                <button 
                type="button" 
                class="btn btn-default" 
                data-dismiss="modal">
                Close
                </button>
                <button 
                type="button" 
                class="btn btn-primary"
                ng-click="copy()">
                Copy
                </button>
              </div>
            </div>
        </div>
        </div>
      </div>
    </div>

    </div>

<!-- </div> -->


@endsection
