@extends('layouts.app')

@section('content')

<style>
    
    div[dnd-list] {
        min-height: 42px;
        /*padding-left: 0px;*/
    }

    /**
     * The dndDraggingSource class will be applied to
     * the source element of a drag operation. It makes
     * sense to hide it to give the user the feeling
     * that he's actually moving it.
     */
    div[dnd-list] .dndDraggingSource {
        display: none;
    }

    /**
     * An element with .dndPlaceholder class will be
     * added to the dnd-list while the user is dragging
     * over it.
     */
    div[dnd-list] .dndPlaceholder { 
        display: block;
    }

    div[dnd-list] .contentDisplay {
        display: block;
    }

    /**
     * Show selected elements in green
     */
    div[dnd-list] .contentDisplay.selected {
        background-color: #dff0d8;
        color: #3c763d;
    }

    .state-icon {
        left: -5px;
    }
    .list-group-item-primary {
        color: rgb(255, 255, 255);
        background-color: rgb(66, 139, 202);
    }

    /* DEMO ONLY - REMOVES UNWANTED MARGIN */
    .well .list-group {
        margin-bottom: 0px;
    }

</style>

<div>

    <div class="subHeader">
        <div class="container">


            <div class="row">
                <div class="col-sm-6">

                    @include('layouts.menu')

                </div>

              


            </div>

        </div>
    </div>

    <div class="container" style="margin-top:10px;">

            <canvas id="c" width="910" height="512" style="border: 1px solid black"></canvas>

            <button id="add" type="button">Add Text</button>
            <button id="delete" type="button">Delete Text</button>

            <select class="select2 font-change" data-type="fontFamily">
                <option value="Arial">Arial</option>
                <option value="Arial Black">Arial Black</option>
                <option value="Impact">Impact</option>
                <option value="Tahoma">Tahoma</option>
                <option value="Times New Roman">Times New Roman</option>
            </select>

            <select class="select2 font-change" data-type="fontSize">
                <option value="10">10</option>
                <option value="12">12</option>
                <option value="14">14</option>
                <option value="16">16</option>
                <option value="18">18</option>
                <option value="20">20</option>
                <option value="24">24</option>
                <option value="32">32</option>
            </select>

            <select class="select2 font-change" data-type="color">
                <option value="#000">#000</option>
                <option value="#00f">#00f</option>
                <option value="#0f0">#0f0</option>
                <option value="#f00">#f00</option>
            </select>

            <select class="select2 font-change" data-type="textAlign">
                <option value="left">left</option>
                <option value="center">center</option>
                <option value="right">right</option>
            </select>

            <input type="text" name="color" value="ffffff" id="colorpickerField1"><br>

            <button id="save" type="button">Save</button>

    </div>
   
      </div>
    </div>

    </div>

</div>


@endsection


@section('javascript')

    @parent
        <script type="text/javascript" src="http://cdnjs.cloudflare.com/ajax/libs/fabric.js/1.5.0/fabric.min.js"></script>

        <script type="text/javascript" src="colorpicker/js/colorpicker.js"></script>
<script type="text/javascript">

var imageLoader = document.getElementById('imageLoader');
var canvas = new fabric.Canvas('c', {
  selection: false,
  uniScaleTransform: true
});
canvas.uniScaleTransform = true;
canvas.backgroundColor = "#ffffff";
canvas.on('object:selected', function(e){

  console.log(e.target.get('type'));
});

var appObject = function() {

  return {
    __canvas: canvas,
    __tmpgroup: {},

    addText: function() {
      var newID = (new Date()).getTime().toString().substr(5);
      var text = new fabric.IText('Rushio', {
        fontFamily: 'arial black',
        left: 100,
        top: 100,
        myid: newID,
        objecttype: 'text'
      });

      this.__canvas.add(text);
      this.addLayer(newID, 'text');
    },

    setBackground: function(color){

        /*canvas.setBackgroundImage('http://fabricjs.com/assets/jail_cell_bars.png', canvas.renderAll.bind(canvas), {
        backgroundImageOpacity: 0.5,
        backgroundImageStretch: false
        });
        */  
        this.__canvas.backgroundColor = color;
        this.__canvas.renderAll();
    },

    setTextParam: function(param, value) {
      var obj = this.__canvas.getActiveObject();
      if (obj) {
        if (param == 'color') {
          obj.setColor(value);
        } else {
          obj.set(param, value);
        }
        this.__canvas.renderAll();
      }
    },
    setTextValue: function(value) {
      var obj = this.__canvas.getActiveObject();
      if (obj) {
        obj.setText(value);
        this.__canvas.renderAll();
      }
    },
    addLayer: function() {

    },

    saveJson: function(){

        var json = JSON.stringify(this.__canvas.toJSON());
        console.log(json);
       this.__canvas.isDrawingMode = false;

      if(!window.localStorage){alert("This function is not supported by your browser."); return;}
      // to PNG
      this.__canvas.deactivateAll().renderAll();
      $.post('save.php', {data:this.__canvas.toDataURL('png')}, function(data){
        console.log(data);
      });
    },

    deleteText: function(){
      this.__canvas.getActiveObject().remove();
    }

  };
}

$(document).ready(function() {

  var app = appObject();

  $('.font-change').change(function(event) {
    app.setTextParam($(this).data('type'), $(this).find('option:selected').val());
  });

  $('#add').click(function() {
    app.addText();
  });

   $('#delete').click(function() {
    app.deleteText();
  });
  $('#save').click(function() {
    app.saveJson();
  });

  $('#text-cont').keyup(function() {
    app.setTextValue($(this).val());
  })

  $('#colorpickerField1').ColorPicker({
    onSubmit: function(hsb, hex, rgb, el) {
      $(el).val(hex);
      $(el).ColorPickerHide();
       app.setBackground('#'+$('#colorpickerField1').val());
    },
    onBeforeShow: function () {
      $(this).ColorPickerSetColor(this.value);
    }
  })
  .bind('keyup', function(){
    $(this).ColorPickerSetColor(this.value);
  });

})

</script>

@endsection