@extends('layouts.app')

@section('content')
<div ng:controller="UsersController">
    <div class="subHeader">
        <div class="container">
            <div class="row">
                <div class="col-sm-8 col-xs-8 col-lg-8 col-md-8">
                    @include('layouts.menu')
                </div>
                <div class="col-sm-4 col-xs-4 col-md-4 col-lg-4"></div>
            </div>
        </div>
    </div>

    <div class="contentOutput">
        <div class="container">
            <div class="row">
                <div class="col-sm-12">
                    <ol class="breadcrumb">
                        <li>
                            <a href="#">User Management</a>
                        </li>
                    </ol>
                </div>

                <div class="col-sm-12">
                    <h2>
                        User Management
                    </h2>
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-md-4" style="border-right: 1px solid #bababa;">
                    <form class="form-horizontal" role="form" method="POST" action="{{ route('users.store') }}">
                        {{ csrf_field() }}

                        <div class="form-group{{ $errors->has('name') ? ' has-error' : '' }}">
                            <div class="col-md-12">
                                 <label for="name" class="control-label">Name</label>
                                <input id="name" type="text" class="form-control" name="name" value="{{ old('name') }}" required autofocus>

                                @if ($errors->has('name'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('name') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>

                        <div class="form-group{{ $errors->has('email') ? ' has-error' : '' }}">
                            <div class="col-md-12">
                                <label for="email" class="control-label">Email Address</label>

                                <input id="email" type="email" class="form-control" name="email" value="{{ old('email') }}" required>

                                @if ($errors->has('email'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('email') }}</strong>
                                    </span>
                                @endif
                            </div>
                        </div>
                        
                        <hr>

                        <div class="form-group">
                            <div class="col-md-12">
                                <button type="submit" class="btn btn-primary float-right">
                                    Create User
                                </button>
                            </div>
                        </div>
                    </form>
                </div>

                <div class="col-md-8">
                    <table class="table table-stipped table-hover">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Status</th>
                                <th>Created</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach($users as $user)
                            <tr>
                                <td>{{ $user->id }}</td>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->email }}</td>
                                <td>{{ $user->is_active ?? 'N/A' }}</td>
                                <td>{{ $user->created_at->format('F j, Y') }}</td>
                                <td>
                                    <a href="{{ route('users.show', $user->id) }}" class="btn btn-sm btn-default"><i class="fa fa-eye"></i></a> / <a href="{{ route('users.edit', $user->id) }}" class="btn btn-sm btn-default"><i class="fa fa-pencil"></i></a> / <button ng:click="deleteUser({{ $user->id }})" class="btn btn-sm btn-default"><i class="fa fa-trash"></i></button>
                                </td>
                            </tr>
                            @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection